@charset "UTF-8";
.main {
  position: relative;
}

.nav-tabs-wrap {
  display: flex;
}
.nav-tabs-wrap .nav-tabs {
  flex: 1;
}
.nav-tabs-wrap .categories-btn {
  display: none;
}

.categories-wrap {
  margin: 20px 0;
}
.categories-wrap .categories-top,
.categories-wrap .categories-bottom {
  display: none;
}
.categories-wrap .categories {
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
.categories-wrap .categories .categories-list {
  display: flex;
  flex-wrap: wrap;
  font-size: 14px;
  padding: 14px;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  position: relative;
}
.categories-wrap .categories .categories-list .category-item {
  width: fit-content;
  padding: 3px 12px;
  text-align: center;
  white-space: nowrap;
  margin: 0 10px;
}
.categories-wrap .categories .categories-list .category-item.active {
  color: #fff;
  border-radius: 16px;
  background-color: #0c669c;
}
.categories-wrap .categories .category-hidden {
  display: none;
}
.categories-wrap .categories .categories-list:not(:first-child)::after {
  content: "";
  position: absolute;
  border: 20px solid transparent;
  transform: translateY(-105%);
  left: 50%;
}
.categories-wrap .categories .categories-level1 {
  background-color: #fff;
}
.categories-wrap .categories .categories-level2 {
  background-color: #e6eaf5;
}
.categories-wrap .categories .categories-level2::after {
  border-bottom-color: #e6eaf5 !important;
}
.categories-wrap .categories .categories-level3 {
  background-color: #ced6e9;
  border-radius: 4px;
}
.categories-wrap .categories .categories-level3::after {
  border-bottom-color: #ced6e9 !important;
}

.total .right {
  flex-shrink: 0;
}

@media (max-width: 768px) {
  .nav-tabs-wrap .categories-btn {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 16px;
    border-bottom: 1px solid #ddd;
    padding-right: 5px;
    margin-left: auto;
  }
  .nav-tabs-wrap .categories-btn::before {
    content: "";
    width: 1px;
    height: 28px;
    background-color: #ddd;
    margin-right: 4px;
  }
  .nav-tabs-wrap .categories-btn img {
    width: 12px;
    height: 12px;
  }
  .nav-tabs-wrap .categories-btn a {
    padding: 0;
    line-height: 1em;
  }
  .categories-wrap {
    display: none;
    flex-direction: column;
    width: 100%;
    height: calc(100vh - 147px);
    background-color: #f2f2f2;
    margin: 0;
    position: absolute;
    z-index: 77777768;
    top: 0;
  }
  .categories-wrap .categories-top {
    display: flex;
    justify-content: space-between;
    padding: 10px;
    gap: 10px;
  }
  .categories-wrap .categories-top p {
    word-break: break-all;
  }
  .categories-wrap .categories-top p:nth-child(1) {
    flex-shrink: 0;
    font-size: 16px;
    font-weight: bold;
  }
  .categories-wrap .categories-top p:nth-child(2) {
    color: #f58f42;
  }
  .categories-wrap .categories {
    flex: 1;
    overflow: hidden;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(0, 1fr));
  }
  .categories-wrap .categories .categories-list {
    flex-direction: column;
    flex-wrap: nowrap;
    border-radius: 0;
    border-top-left-radius: 15px;
    padding: 0;
    overflow: auto;
    scrollbar-width: none;
  }
  .categories-wrap .categories .categories-list::-webkit-scrollbar {
    display: none;
  }
  .categories-wrap .categories .categories-list::before {
    content: " ";
    width: 100%;
    height: 10px;
    display: block;
    position: sticky;
    top: 0;
    left: 0;
  }
  .categories-wrap .categories .categories-list .category-item {
    width: 100%;
    margin: 0;
    padding: 10px 14px;
    color: #000;
    word-break: break-all;
    white-space: normal;
    text-align: left;
    position: relative;
    transition: 0.1s;
  }
  .categories-wrap .categories .categories-list .category-item.active {
    color: #000;
  }
  .categories-wrap .categories .categories-list:not(:first-child) {
    margin-left: -10px;
    padding: 0 7px;
  }
  .categories-wrap .categories .categories-list:not(:first-child) .category-item {
    width: calc(100% - 10px);
    padding: 10px 7px;
  }
  .categories-wrap .categories .categories-list:not(:first-child)::after {
    display: none;
  }
  .categories-wrap .categories .categories-level1 {
    background-color: #ced6e9;
  }
  .categories-wrap .categories .categories-level1::before {
    background-color: #ced6e9;
  }
  .categories-wrap .categories .categories-level1 .category-item::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 5px;
    height: 100%;
    background-color: transparent;
    transition: 0.1s;
  }
  .categories-wrap .categories .categories-level1 .category-item.active {
    background-color: #e6eaf5;
    border-radius: 0;
  }
  .categories-wrap .categories .categories-level1 .category-item.active::before {
    background-color: #0c669c;
  }
  .categories-wrap .categories .categories-level2 {
    background-color: #e6eaf5;
  }
  .categories-wrap .categories .categories-level2::before {
    background-color: #e6eaf5;
  }
  .categories-wrap .categories .categories-level2 .category-item {
    border: 1px solid transparent;
  }
  .categories-wrap .categories .categories-level2 .category-item.active {
    background-color: #f2f3f5;
    border: 1px solid #0c669c;
    border-radius: 4px;
  }
  .categories-wrap .categories .categories-level3 {
    background-color: #fff;
  }
  .categories-wrap .categories .categories-level3 .category-item.active {
    color: #0c669c;
    background-color: transparent;
  }
  .categories-wrap .categories-bottom {
    display: block;
    text-align: center;
    padding: 10px;
  }
  .categories-wrap .categories-bottom .layui-btn {
    background-color: #0c669c;
  }
  .total {
    padding: 0;
    padding-top: 10px;
  }
  .total .left {
    margin-left: 5px;
  }
}
